[i945] [gutsy, hardy, intrepid] Blank screen and (EE) intel(0): overrun on pipe B! on i945GM using intel driver

Bug #221119 reported by Roberto Leinardi on 2008-04-23
106
This bug affects 8 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
Fix Released
High
xserver-xorg-video-intel (Ubuntu)
High
Unassigned
Nominated for Intrepid by Greg Frank

Bug Description

Binary package hint: xserver-xorg-video-intel

The LiveCD of Intrepid Ibex Beta get a blank (black) screen once it has entered into graphics mode. The same happens with the LiveCD of Hardy and Gutsy.

The computer still works, I can hear the start sound of GDM, and I can log in from GDM, but I just can't see anything on the screen.

With the Feisty's LiveCD the problem does not occur. By viewing the xorg.conf I noticed Feisty uses the i810 driver.

Changing the xorg.conf in Hardy and forcing the use of "i810" driver the problem does not occur. Using the drivers "intel" the problem reoccurs.

In Intrepid Ibex does not work even with the i810 driver.

Notebook: Fujitsu Siemens P1620
VGA: Intel 945GM Express
LCD Native Resolution: 1280x768

lsb_release -rd: Ubuntu 8.04

apt-cache policy xserver-xorg-video-intel:
xserver-xorg-video-intel:
  Installato: 2:2.2.1-1ubuntu12
  Candidato: 2:2.2.1-1ubuntu12
  Tabella versione:
 *** 2:2.2.1-1ubuntu12 0
        500 http://na.mirror.garr.it hardy/main Packages
        100 /var/lib/dpkg/status

Roberto Leinardi (leinardi) wrote :
Roberto Leinardi (leinardi) wrote :
Roberto Leinardi (leinardi) wrote :
Bryce Harrington (bryce) wrote :

Thanks for including the necessary files.

Changed in xserver-xorg-video-intel:
importance: Undecided → High
status: New → Triaged
Ola Ekedahl (olaeke) wrote :

Any news on what might be the cause, and how to fix it?

Best regards

Bryce Harrington (bryce) wrote :

Does it make any difference if ForceEnablePipeA is turned on? I.e.:

  Section "Device"
    ...
    Option "ForceEnablePipeA" "true"
  EndSection

If that makes it work, then please paste in the output of `lspci -vvnn | grep -A1 "VGA compat"`, and give the laptop model name and number

Roberto Leinardi (leinardi) wrote :

Nope, no difference.

Bryce Harrington (bryce) wrote :

Interesting, it looks like with -intel the xserver is connecting your Configured Monitor to your VGA output, not to LVDS:

+(II) intel(0): Output VGA using monitor section Configured Monitor
+(II) intel(0): I2C bus "CRTDDC_A" initialized.
+(II) intel(0): Output LVDS has no monitor section
+(II) intel(0): I2C bus "LVDSDDC_C" initialized.
+(II) intel(0): I2C device "LVDSDDC_C:ddc2" registered at address 0xA0.
+(II) intel(0): I2C device "LVDSDDC_C:ddc2" removed.

However later in the log it sees that the VGA out is present but doesn't have anything connected to it. So maybe what's happening is that the LVDS isn't getting a crtc assigned to it?

Could you try adding the following to your Monitor section in xorg.conf?

       Option "Monitor-LVDS" "LVDS display"

Also, if possible would you mind testing against Intrepid, and see if the issue still exists with the latest version of -intel?

Changed in xserver-xorg-video-intel:
status: Triaged → Incomplete
Roberto Leinardi (leinardi) wrote :

>Could you try adding the following to your Monitor section in xorg.conf?
>
> Option "Monitor-LVDS" "LVDS display"

Still blank screen on Hardy.

At the moment I do not have an external CD Player to test against Intrepid.

Bryce Harrington (bryce) on 2008-07-29
Changed in xserver-xorg-video-intel:
status: Incomplete → Triaged
Bryce Harrington (bryce) wrote :

Does this fix it?

In section "Section "Device"" in /etc/X11/xorg.conf add the line:

     Option "monitor-LVDS" "LVDS"

Then the following new section:

     Section "Monitor"
         Identifier "LVDS"
         Option "Ignore" "True"
     EndSection

Bryce Harrington (bryce) on 2008-10-07
Changed in xserver-xorg-video-intel:
status: Triaged → Incomplete
Roberto Leinardi (leinardi) wrote :

>In section "Section "Device"" in /etc/X11/xorg.conf add the line:
>
> Option "monitor-LVDS" "LVDS"
>
>Then the following new section:
>
> Section "Monitor"
> Identifier "LVDS"
> Option "Ignore" "True"
> EndSection

Sorry for the delay, I tried but it does not work.

Today I downloaded and tried also the daily build of Intrepid Ibex Beta and the problem still persists.

Moreover in Intrepid Ibex does not work even with the i810 driver.

Take a look at the logs, in particular the xorg.log and the gdm.log showing the following error:

(EE) intel(0): overrun on pipe B!

Roberto Leinardi (leinardi) wrote :
Roberto Leinardi (leinardi) wrote :
Roberto Leinardi (leinardi) wrote :
description: updated

I am experiencing the same behavior with the same drivers on a (possibly) slightly different video card. The only substantial differences from JD's report are a native resolution of 1280x800 and no "overrun on pipe B!" errors. The visual symptoms are the same: blank screen with backlight on, os and xorg responsive to keyboard or mouse input, but no display.

The display didn't work under Hardy 8.04 graphical installation, and I've had no luck running 8.10 Intrepid since the release of alpha 6, updating and experimenting regularly. i810 driver also does not work. To use this system, I choose the vesa driver and give the display ridiculous vsync/hsync values to get native resolution. So far, there have been no problems (besides awful performance, obviously).

I noticed the aforementioned VGA monitor selection and tried forcing output to the LCD using "monitor-LVDS" option. I also tried disabling LVDS according to Bryce Harrington's instructions. In all cases, I observe the same condition: black screen, backlight always on, but system otherwise responsive.

This is a Sony Vaio VGN-SR190 with integrated Intel Mobile 4 series integrated graphics marketed as Intel GMA 4500MHD. I believe it's a GM45 chip, but that's just a guess.

Eric Griffis (dedbox) wrote :

Note: all files come from latest intrepid

Eric Griffis (dedbox) wrote :
Eric Griffis (dedbox) wrote :
Greg Frank (greglarious) wrote :

this bug also affects me. please let me know if there is anything i can do to help isolate or research this bug. until it is fixed, intrepid upgrade is completely out of the picture for me.

for the record, i have an aopen minipc with a 945 chipset hooked up to a wide-screen lcd monitor via the dvi port.

Geir Ove Myhr (gomyhr) wrote :

The reason the i810 driver no longer works on intrepid is that it is is removed due to being discontinued upstream. You use the intel driver even though you specify Driver "i810" in xorg.conf.
http://packages.ubuntu.com/intrepid/xserver-xorg-video-i810
https://wiki.ubuntu.com/X/Drivers#-intel%20video%20driver

I'm on the same page as greggler. This bug makes my HP laptop completely unusable after performing an upgrade from 8.04. I have a Intel 945 chipset and recieve the "underrun on pipe B error". After reboot the cursor jumps around a lot and I can't see the login screen at all.

I'm using the new xorg.conf file with the intel driver

My problems appear more or less related. I upgraded to Intrepid beta from Hardy a few days ago. My Compaq Evo D510 (external HDD install) has an Intel 845 graphics card. Compiz no longer works after the upgrade from Hardy to Intrepid (see my other reports 283056 and 284461), so I removed Compiz for the time being. Screen flickering is not the biggest problem and most of the time I can log on without problems. But when I (or any other user of the machine, for that matter) log out from the Gnome session (at the moment, I'm using only Gnome and Fluxbox as another option) I get just a black screen, hearing the default login sound but no login screen, just a black screen with a very minimally flickering texture — I mean it is not as simply "black" as for instance the virtual terminal background. In order to continue (to shut down or to do anything), I must drop into a VT (Ctrl+Alt+F1). In both /var/log/gdm/0:log.1 and Xorg.0.log.old you can see the error "(EE) intel(0): underrun on pipe A!" several times.

My xorg.conf information looks as plain as this:

---

Section "Device"
 Identifier "Configured Video Device"
 Option "UseFBDev" "true"
EndSection

Section "Monitor"
 Identifier "Configured Monitor"
EndSection

Section "Screen"
 Identifier "Default Screen"
 Monitor "Configured Monitor"
 Device "Configured Video Device"
EndSection

---

Greg Frank (greglarious) wrote :

just to clarify, i am using a fresh install of intrepid onto a blank hard drive. in the current setup, i've made no alterations to the xorg conf file or any other setting whatsoever.

since my system is not a laptop but a small desktop, i have some troubleshooting options. for example, if i disconnect the lcd monitor from the dvi port and instead connect an analog vga monitor it does work. i think this relates to some comment i've read about the bug being a failure to detect that the digital monitor is present and forcing analog out only.

the way i maintain and update this system is to use remote desktop to login to it from another machine but that is only to apply updates in hope that one day it gets fixed. overall, having a computer without a working display is a deal breaker for me on intrepid.

Roberto Leinardi (leinardi) wrote :

I tried the LiveCD of Fedora Core 9 and OpenSUSE 11.1 Beta2: both have the blank screen.
If needed to solve the problem on Intrepid I can provide logs of these distro.

Same problems here! Logs fill up with (EE) intel(0): overrun on pipe B!

When I add a monitor to the vga-port I can see the desktop, but the laptops own screen is totally blank. Backlight is on.

Very annoying problem. On 8.04 I can use i810 driver, which is ok, but in 8.10 only vesa is working

Sami Nieminen (sami-nieminen) wrote :

I also experience this bug on Intrepid (but it already occurred with Hardy also) with Lenovo X60 Tablet, which has the following chipset:

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller [8086:27a2] (rev 03)
        Subsystem: Lenovo Device [17aa:201a]

The way how I can always reproduce the blank screen:

1. Login with user A
2. Switch to user B
3. Try to switch back to user A
4. Blank screen with mouse pointer awaits

I tried to add second display on VGA connector which caused everything to work properly, no blank screen anymore.

On xorg logs I don't get "overrun on pipe" messages when the blank screen problem occurs. I can always ctrl-alt-backspace out from blank screen and relogin to get view back. With Hardy I didn't experience this problem when using i810 driver, but it occurred with intel driver already back then.

Tim Johnson (tim-pteq) wrote :

Identical problem on Fujitsu Siemens Amilo P4 with integrated Intel 82845GL Graphics Card.
After Intrepid installation from Alternate CD, no display (Black Screen) until I disabled compiz (recommended somewhere in the forum). New kernel 2.6.27-7-generic broke situation again.
Tried Kubuntu installation from Live CD and after some tweaking all seems OK.
Changing xorg.conf did NOT seem to change anything and I've read that xorg.conf is not called in II. A clean, faultless installation remains the best marketing that Ubuntu can have. It deserves the full attention of all resources.
So many people are trying Ubuntu on elderly hardware to improve performance... but it appears as if the attention on bugfixes is on more modern systems.

Tim Johnson (tim-pteq) wrote :

Perhaps another input/clue to this issue...
I got full output to a projector attached to the VGA Out port while the laptop screen was black. Under Hardy, I would have to use i810switch to get VGA Output to the projector.
 I also have two entries in the Kubuntu Display Manager viz. VGA and LVDS, but all options are greyed out. Resolution is OK at 1024 x 768 but I cannot change anything if I needed to..

I think today's updates included both xserver-xorg-video-intel and i810 packages. I had no time to test, but has anyone else noticed any improvement?

Replying myself to the previous question: no improvement for me. After adding *Driver "i810"* to my xorg.conf, rebooting resulted in low graphics mode. Changing (back) to *Driver "intel"*, the problems still persist: (Prob. No. 1) Logging out of the X session, I get just a black screen, out of which I can just Ctrl+Alt+F1 into a virtual terminal. This happens most of the time, but once in a while the GDM login screen starts normally (or after a couple of seconds of flashing on the black screen). (Prob. No. 2) If I turn "Desktop Effects" on (or run "compiz --replace"), the system (or Xorg) freezes (after "Checking for available drivers...") so that I can see just the wallpaper and the keyboard stops responding, so that I can only hard-reboot.

This time I could reproduce the black screen and hundreds of lines of "(EE) intel(0): Underrun on pipe A!" filling up Xorg.log by changing into a virtual terminal, Ctrl+Alt+F3, logging in (I launched mp3blaster in VT), and then trying (in vain) to return to the graphical session by typing Ctrl+Alt+F7. Please let me I can help resolving this issue by providing some more information.

Sorry for the missing words, I tried to say: Please let me KNOW IF I could help ... by providing some more information.

Eric Griffis (dedbox) wrote :

I just found this related bug report over at the xorg bugzilla:

https://bugs.freedesktop.org/show_bug.cgi?id=17292

It appears that this is a problem with the xorg intel driver related to choosing the right output pipe.

razor (razorxpress) wrote :

I did my installation of intrepid ibex many times on intel 845G. I had all the problems like you initially. E.g after my first installation the screen locked at login. So i reinstalled it. At second time i had only 800x600 resolution. Then i found in this link http://www.sriraminhell.com/2008/11/problems-with-ubuntu-810-intrepid-ibex.html?showComment=1225599120000 that 845G had problems with compiz and compiz-core so i removed both. Then i installed on somebody else's computer with the same setting as mine. In this computer it worked as if there is no problem at all. The resolution was also set properly. One thing as some sites suggested my 3d effect are totally disabled. One thing to control if you get stuck after login. You can login to failsafe terminal and enable gnome-panel and make settings like removing compiz and compiz-core from synaptic. But for all you folks even with no problem at this installation the window seems to be very flickery with this vesa kind of thing

razor (razorxpress) wrote :

Adding

Driver "intel"

in the device section flickering is removed. But at first the desktop has to come

km (km-mathcs) wrote :

I'm on a 945GM (Mac Mini). Worked fine under 8.04, but after upgrade to 8.10 I have a similar problem.

After the system boots the display is fine. I login and then run a video app (mythfrontend) mostly successfully, though there is some occasional tearing that I didn't have under Hardy. After a few minutes the display goes black. Killing and restarting gdm and the Xserver gets me nothing but black screen. The xorg log shows continually repeating

(EE) intel(0): underrun on pipe A!

in my case Output TMDS-1 is connected to pipe A.

It takes a reboot to get the display back.

Is this the same bug or should I open a new one?

Rick Gabriel (klaxian1) wrote :

Removing compiz did not solve the problem for me. As a workaround, disabling DRI in xorg.conf seems to allow a user to log in normally. Compiz will not work in this case and rendering is noticeably slower. My graphics card is:

Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 03)

I believe this has been traced to a bug in the xorg intel driver and needs to be fixed upstream.

Tim Johnson (tim-pteq) wrote :

Richard, did you remove compiz-core too? I have exactly the same graphics card as you integrated into a Fujitsu Siemens Amilo P4. apt-get remove compiz and apt-get remove compiz-core solved the problem for me. I miss compiz, but at least I can use my computer.

km (km-mathcs) wrote :

I followed Tim's suggestion of removing the two compiz packages on my Mac Mini, and that did eliminate the problem of the screen going irreparably black after a few minutes of video. I still get some occasional tearing that I didn't see in 8.04.

I seem to recall some mention of a tearing fix for intel on the xorg list, which hopefully will make it downstream at some point.

vyvee (vyvee1975) wrote :

Richard & Tim, I have exactly the same graphics card too (same model & revision). I remove both compiz and compiz-core and the problem is then solved!
I've also removed all compiz-related packages to save space... and the system still works properly.

Marcelo Bianchi (m-tchelo) wrote :

Hi,

I had a similar problem. Since I updated from hardy and I didn't use compiz and any effect on the desktop at the first boot things seens to be alright. But If I make am logout the screens goes blank and that's it, you can kill and restart the gdm as many times you want that nothing can help.

After being pissed of about it I reformated the machine and re-instaled hardy again. The instalation goes okay and them, at the first update I made, it instaled kernel linux-headers-2.6.24-21 and the stop booting. Actually it booted but when the gdm started the screen goes blank. For me just changing back the kernel 2.6.24-19 made everything works again, so maybe the problem with this driver could be at the intel DRM kernel stuff. I remenber that the package linux-kernel-2.6.24-21 changed something at the DRM for this intel driver ..... From the change log ....

  * Only allow access to DRM_I915_HWS_ADDR ioctl() for Xserver.
    - CVE-2008-383

maybe that's the bad guy that entered in action !

some info ...

00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01) (prog-if 00 [VGA controller])
        Subsystem: Compaq Computer Corporation Evo D510 SFF
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 16
        Region 0: Memory at f0000000 (32-bit, prefetchable) [size=128M]
        Region 1: Memory at fc400000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: [d0] Power Management version 1
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

This is the DRM that works ....

[ 55.482335] [drm] Initialized drm 1.1.0 20060810
[ 55.555924] ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16 (level, low) -> IRQ 16
[ 55.555936] PCI: Setting latency timer of device 0000:00:02.0 to 64
[ 55.556049] [drm] Initialized i915 1.6.0 20060119 on minor 0

I don't now how to get the info with the kernel that doesn't work, the machine just halt !

best wishes

marcelob

Rick Gabriel (klaxian1) wrote :

I can confirm that removing all compiz packages does work around this problem now. I don't even need to explicitly specify the "intel" driver. It didn't help when I first found the problem over a month ago, but now it works.

Still, I would prefer compiz and the video rendering is not as fast as it used to be.

Joey Stanford (joey) wrote :

I have this issue as well. I am not using compiz.

After the system boots the display is fine. I login and then go about my normal business successfully.

After a few minutes to hours, I start to see some occasional tearing. Shortly there after the display goes black. Killing and restarting gdm and the Xserver gets me nothing but black screen. The xorg log shows continually repeating

(EE) intel(0): underrun on pipe A!

It takes a reboot to get the display back.

I have this on an original rev of the System76 Darter:

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller [8086:27a2] (rev 03)
 Subsystem: ASUSTeK Computer Inc. Device [1043:1252]

I'm currently experimenting with the following:

Section "Device"
 Identifier "Configured Video Device"
        Driver "intel"
        Option "ForceEnablePipeA" "true"
EndSection

This only happens when I have an external vga monitor attached. It does not happen when I only use the laptop lcd.

For the Canonical folks, this machine is https://landscape.canonical.com/account/stan4d.net/computer/1656/info

Joey Stanford (joey) wrote :
Joey Stanford (joey) wrote :

Note also with the stock Xorg.conf and the updated one posted above, I receive the the pipe B error:

joey@c14n:~$ grep pipe /var/log/Xorg.0.log
(II) intel(0): 2 display pipes available.
(II) intel(0): Display plane A is now enabled and connected to pipe A.
(II) intel(0): Display plane B is now enabled and connected to pipe B.
(II) intel(0): Output VGA is connected to pipe A
(II) intel(0): Output LVDS is connected to pipe B
(II) intel(0): Output TV is connected to pipe none
(EE) intel(0): underrun on pipe B!

Joey Stanford (joey) wrote :

I'm using

joey@c14n:~$ dpkg -l xserver-xorg-video-intel
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name Version Description
+++-======================================-======================================-============================================================================================
ii xserver-xorg-video-intel 2:2.4.1-1ubuntu10 X.Org X server -- Intel i8xx, i9xx display driver

Which might have been fixed in https://bugs.edge.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/256142 so I wonder if this report is a dup based on Bryce's comments.

Massimo Cora' (pescio) wrote :

I've got problems too. My editing with Netbeans has become really bad because when scrolling or doing some other operations there's too much lag. Looking at 'top' on shell I see that Xorg raises up to 90% of cpu... that's not acceptable.

root@box:/etc/X11# grep pipe /var/log/Xorg.0.log
(II) intel(0): 1 display pipe available.
(II) intel(0): Display plane A is now enabled and connected to pipe A.
(II) intel(0): Output VGA is connected to pipe A
(II) intel(0): Display plane A is now enabled and connected to pipe A.
(II) intel(0): Output VGA is connected to pipe A
(II) intel(0): Display plane A is now enabled and connected to pipe A.
(II) intel(0): Output VGA is connected to pipe A
(II) intel(0): Display plane A is now enabled and connected to pipe A.
(II) intel(0): Output VGA is connected to pipe A
(EE) intel(0): underrun on pipe A!
(EE) intel(0): underrun on pipe A!
(EE) intel(0): underrun on pipe A!
(II) intel(0): Display plane A is now enabled and connected to pipe A.
(II) intel(0): Output VGA is connected to pipe A
(II) intel(0): Display plane A is now enabled and connected to pipe A.
(II) intel(0): Output VGA is connected to pipe A
(II) intel(0): Display plane A is now enabled and connected to pipe A.
(II) intel(0): Output VGA is connected to pipe A
(II) intel(0): Display plane A is now enabled and connected to pipe A.
(II) intel(0): Output VGA is connected to pipe A
(II) intel(0): Display plane A is now enabled and connected to pipe A.
(II) intel(0): Output VGA is connected to pipe A
(EE) intel(0): underrun on pipe A!
(EE) intel(0): underrun on pipe A!

I'm on a ubuntu intrepid

Mathieu SENSEI (hyu9a) wrote :

I was stuck on this same blank/black screen. Removing compiz and compiz-core through recovery mode solved the problem. (apt-get remove compiz; apt-get remove compiz-core)
I reinstalled both packages after disabling display effect, my PC is now booting fine.
Now waiting for bug fix.
Thanks for your priceless help

Mathieu SENSEI (hyu9a) wrote :

Last detail: my chipset is an Intel 485GV integrated on my old MSI motherboard.

Joey Stanford (joey) wrote :

The xorg.conf changes suggested earlier do not work for me. Based on the exhibited behavior, it rather seems like a framebuffer bug.

Bryce Harrington (bryce) on 2008-12-02
Changed in xserver-xorg-video-intel:
status: Incomplete → Confirmed
Brian Harkness (maestro-bwh) wrote :

As per KM's issue, mine is in regards to TMDS-1. I have an ASUS eee-box with and Intel 945GME. This is driving me nuts because it actually does cause data loss of whatever whatever was being worked on.

As per KM, it is on pipe A and it is the exact issue on a 386 machine.

[I'm on a 945GM (Mac Mini). Worked fine under 8.04, but after upgrade to 8.10 I have a similar problem.

After the system boots the display is fine. I login and then run a video app (mythfrontend) mostly successfully, though there is some occasional tearing that I didn't have under Hardy. After a few minutes the display goes black. Killing and restarting gdm and the Xserver gets me nothing but black screen. The xorg log shows continually repeating

(EE) intel(0): underrun on pipe A!

in my case Output TMDS-1 is connected to pipe A.

It takes a reboot to get the display back.]

Brian Harkness (maestro-bwh) wrote :

PS - it seems the issue started with gutsy: Would downgrading to the Feisty version of the package (not even sure if one can, but the package is out there) temporarily solve the issue...

My pipe underrun problem (blank/black screen at logout) seems to have been fixed at some point, i.e. with some of the recent updates.

Brian Harkness (maestro-bwh) wrote :

I found this another post regarding the jaunty xorg repo and I thought I bookmarked it but I can't find it, or maybe it was here and I just could not find it again. At any rate, it seems to be a 'partial' solution for me so far.

1. Downgrading the driver would not work. I found several posts to confirm this.
2. I don't think it has anything to do with desktop effects or compiz. I had the issue with effects on or off.

Here is what I did:
I am using Intrepid on an Asus EEE-BOX with an Intel 945GME (posted earlier) I added these two repos:

deb http://ppa.launchpad.net/xorg-edgers/ubuntu jaunty main
deb-src http://ppa.launchpad.net/xorg-edgers/ubuntu jaunty main

I hit upgrade via synaptic to see what might be affected: 8 packages. The the intel driver and some mesa related items were upgraded. Seemed worth a try, because as it stands now, (K)Ubuntu is pretty much unusable if I can't trust it not to tank on stuff I am working on.

I then disabled the repo, as I know it is never a good idea to mix and match different versions of a distro.

Being this is actually a desktop PC connected to a VGA - I disabled the TMDS-1 output in my xorg.conf file:

Section "Device"
 Identifier "Configured Video Device"
 Driver "intel"
 Option "ForceEnablePipeA" "true"
        Option "monitor-TMDS-1" "ExternalMonitor"

EndSection

Section "Monitor"
        Identifier "ExternalMonitor"
        Option "Ignore" "True"
EndSection

And lastly, since I use Kubuntu, in SystemSettings --> Advanced --> Service Manager

I stopped "xrandr detecting monitor changes," and then unchecked the box. In other posts, this has been reported to reduce/stop flickering.

The screen still occasionally flickers, but the desktop and applications are MUCH sharper. Resizing icons on the desktop and such "re-drawings" used to stick and be sluggish and now I don't notice that either.

So far, my performance is notably better. I am not sure if it is more stable yet BUT I am hoping to be able to report back that I no longer get a blank screen where I have to reboot and lose what I was working on!

Brian Harkness (maestro-bwh) wrote :

Better, but still happens where Xserver boes to a blank screen and

(EE) intel(0): underrun on pipe A!

is the error.

Latest in above listed repo is 2.5.1

As an additional note, it ALWAYS has happened when Firefox has been open/running.

I don't recall it happening when I was using other apps.

Brian Harkness (maestro-bwh) wrote :

Still hideous crashes with different versions of the intel driver. I restored my original image ant that was with the original intrepid intel driver

So then I added and change the "jaunty" repos to:

deb http://ppa.launchpad.net/xorg-edgers/ubuntu intrepid main
deb-src http://ppa.launchpad.net/xorg-edgers/ubuntu intrepid main

And am currently using that driver.

I can't seem to get any kind of stability.

Brian Harkness (maestro-bwh) wrote :

No luck... switched to vesa driver in xorg. KDE 4 has Xrender option for most effects. I don't game so I don't really care at this point. I was crashing every half hour with the intel driver. It is a shame the i810 is no longer available. I can't believe this bug is not marked "severe" as the intel driver is useless for the 945 for anyone who wants a stable system.

Milan Kvasnica (milan-gurkol) wrote :

Have you tried:
Option "FramebufferCompression" "off"

Did it help?

Brian Harkness (maestro-bwh) wrote :

Trying this this option and will report back.

Get this, I just found out that vesa driver has a bug with dpms since hardy... doesn't shut off the display after prescribed time. Feel like I cant' win!

This solution works for me:

System Settings->Advanced->Service Manager and turning off "Detecting RANDR (monitor) changes"

On KDE4 it's in the settings window.
I turn it off the service and the screen see correctly.
http://ubuntuforums.org/showthread.php?p=6221986

Brian Harkness (maestro-bwh) wrote :

I managed to stop the flickering by doing that a while ago... however, the hard crash of the xserver continued to happen.

I HAVE NOT experienced a crash since Milan Kvasnica's suggestion to add

Option "FramebufferCompression" "off"

Under the device section in my xorg.conf.

It has been 24 hours and the machine (ASUS EEE-BOX with Intel GMA 945 with an Atom processor) has operated without incident, so it is more stable at the very least.

The screen used to shift periodically even with xrandr option disabled, but that also seemed to have stopped for now. I will report back if I see the hard crash again. My underrun was on Pipe A and it was not possible to restart x until the machine was rebooted.

Perhaps the devs need to make the default for this option to be DISABLED by default, rather than enabled.

Hoping my issue is patched for now:-)

One work-around that does appear to work for me under Gnome under 64
bit: Once you see the first tear or flicker, shutdown firefox, drop
to the command line, and ensure that firefox and npviewer.bin are no
longer running. If they are, kill them. After this you can restart
firefox again and advert (more like cheat) the blank-screen-of-death.

Yeah, that tearing was really annoying but since I added:

Option "FramebufferCompression" "off"

I don't see it. I got one instance where I got kicked out of KDE, and the login manager restarted... somewhat more tolerable than a hard reboot.

John O'Donnell (john-s-od) wrote :

I have the same problem on a new Lenovo U110 which has the Rev 03 945 controller. Another thread of discussion on this topic suggested that the Rev 0c controller works, the Rev 03 does not. The "FramebufferCompression" "off" option has no effect.

Is there some internal FIFO configuration that needs adjustment, or a timing of the first line fetch? Is this being worked on upstream?

Thanks

Brian Harkness (maestro-bwh) wrote :

I am not knowledgeable enough to completely understand what the pipe A and pipe B issues actually mean other than seeing the error, and knowing that the chip is not receiving the appropriate timing of information. I can offer that perhaps for those people seeing the underrun on pipe A, and who have upgraded using

deb http://ppa.launchpad.net/xorg-edgers/ubuntu intrepid main
deb-src http://ppa.launchpad.net/xorg-edgers/ubuntu intrepid main

They might gain the stability I am seeing now.

I am using KDE 4.1 (kubuntu) with OpenGL desktop effects enabled. I have not experienced a crash since I modified my xorg.conf with Milan Kvasnica suggestion on 2008-12-10

I might suggest that the xorg-edgers may have modified the driver such that it works better, but I have nothing to fall back on other than my own experience.

Tim Johnson (tim-pteq) wrote :

Well, I had everything working fine (except for compiz) until yesterday's updates. I applied all updates (as I have done with no problem for some months) and my system is now VERY broken. I'm not even sure what brooke it, but when I get to the login screen, as I type the first letter of my username, my system freezes and only powering down works. No F10, no ctrl+alt+F1,F2,Backspace, no keyboard, no mouse. Zip.
I've tried recovery mode xfix, dpkg-reconfigure, using old xorg.conf, vga=792 in Grub.. nothing works.
I have 2 questions:
1. Did anyone else have this problem? and
2. Can anyone tell me what update yesterday may have caused this?

I'm running Intrepid on a Fujitsu Siemens P4 notebook, 1 G RAM with builtin Intel 82845 Graphic card and I was the intel driver in xorg.conf

Forwarding this report from a Ubuntu reporter:
https://bugs.edge.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/221119

[Problem]
On Ubuntu Intrepid, Fedora Core 9, and OpenSUSE 11.1 Beta 2, all show a blank (black) screen on boot. For this hardware, the problem is seen on Hardy and Gutsy when using -intel; with -i810 it works properly. When the issue is seen, "(EE) intel(0): overrun on pipe B!" is written to the log as well.

[lspci]
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,9), BCTRL: 0x0008 (VGA_EN is set)
(II) PCI: 00:00:0: chip 8086,27a0 card 10cf,1378 rev 03 class 06,00,00 hdr 00

(--) PCI:*(0:2:0) Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller rev 3, Mem @ 0xf0300000/19, 0xe0000000/28, 0xf0400000/18, I/O @ 0x1800/3
(II) PCI: 00:02:0: chip 8086,27a2 card 10cf,13d8 rev 03 class 03,00,00 hdr 80

[Original Report]
The LiveCD of Intrepid Ibex Beta get a blank (black) screen once it has entered into graphics mode. The same happens with the LiveCD of Hardy and Gutsy.

The computer still works, I can hear the start sound of GDM, and I can log in from GDM, but I just can't see anything on the screen.

With the Feisty's LiveCD the problem does not occur. By viewing the xorg.conf I noticed Feisty uses the i810 driver.

Changing the xorg.conf in Hardy and forcing the use of "i810" driver the problem does not occur. Using the drivers "intel" the problem reoccurs.

In Intrepid Ibex does not work even with the i810 driver.

Notebook: Fujitsu Siemens P1620
VGA: Intel 945GM Express
LCD Native Resolution: 1280x768

lsb_release -rd: Ubuntu 8.04

apt-cache policy xserver-xorg-video-intel:
xserver-xorg-video-intel:
  Installato: 2:2.2.1-1ubuntu12
  Candidato: 2:2.2.1-1ubuntu12
  Tabella versione:
 *** 2:2.2.1-1ubuntu12 0
        500 http://na.mirror.garr.it hardy/main Packages
        100 /var/lib/dpkg/status

Created an attachment (id=21860)
intel.Xorg.0.log

it looks like with -intel the xserver is connecting Configured Monitor to VGA output, not to LVDS:

+(II) intel(0): Output VGA using monitor section Configured Monitor
+(II) intel(0): I2C bus "CRTDDC_A" initialized.
+(II) intel(0): Output LVDS has no monitor section
+(II) intel(0): I2C bus "LVDSDDC_C" initialized.
+(II) intel(0): I2C device "LVDSDDC_C:ddc2" registered at address 0xA0.
+(II) intel(0): I2C device "LVDSDDC_C:ddc2" removed.

However later in the log it sees that the VGA out is present but doesn't have anything connected to it.

Bryce Harrington (bryce) wrote :

Okay, I think this bug report has strayed too much from the original bug report.

I suspect the title of this bug report has been too misleading. "overrun on pipe B!" is a very common error message. Basically, your Intel graphics card has two pipes (called 'crtc's) through which it can feed video data. You can configure what outputs it goes to, e.g. one to VGA-0 or LVDS, the other to TV-Out or DVI-0. Or whatever. So, as I understand it, if for some reason it is sending data down a pipe and it's not getting picked up, that's an "overrun". As you can imagine, this can happen for a whole host of different reasons.

Anyway, I don't know whether the various commenters are seeing the same issue or separate ones. You can judge that yourself... compare your video card (even down to the PCI ID's) to the original reporter, make sure your symptoms match theirs exactly, and that you have the same display configuration. If that all matches, then yeah you probably have the same bug. If not, well probably you should file a new bug. If in doubt, file a new bug and reference this one, and someone more knowledgeable can make the call on if it's a dupe or if your issue needs investigation in its own right.

I'm out of clue myself on what else to try. So I've filed JD's original issue upstream at https://bugs.freedesktop.org/show_bug.cgi?id=19495 . JD - please subscribe to this bug report in case upstream needs more information or wishes you to test something. Thanks ahead of time.

Bryce Harrington (bryce) wrote :

Btw, upstream is likely to want to know if this problem occurs with a newer version of X and -intel. Perhaps the easiest way to check would be to burn and boot a Jaunty alpha Live CD, which has newer versions of both. You can get ISOs at http://cdimage.ubuntu.com/releases/jaunty/

Upstream may also want to see the output of intel_reg_dumper from both a failed (black) session (ssh into the box to get it), and from a good session (e.g. when using i810). If anyone can obtain output from these two cases, it may help upstream in narrowing down the problem.

Changed in xserver-xorg-video-intel:
status: Confirmed → Triaged
Rick Gabriel (klaxian1) wrote :

I tested this with the Jaunty Alpha 2 LiveCD the X still crashes during startup because memory cannot be allocated properly. It then falls back to "low graphics mode".

Changed in xserver-xorg-video-intel:
status: Unknown → Confirmed
Bryce Harrington (bryce) wrote :

Fix for upstream bug 17292 is committed to Jaunty (and Intrepid), which should solve this. Feel free to reopen if you continue to have problems.

https://bugs.freedesktop.org/show_bug.cgi?id=17292

Changed in xserver-xorg-video-intel:
status: Triaged → Fix Released

Created an attachment (id=22320)
fix 945 dsparb values

Can you give this patch a try? We had the wrong DSPARB values on 945 which might have led to underruns.

Rick Gabriel (klaxian1) wrote :

I tested again with the Jaunty daily build LiveCD from 1/27/2009 and X still crashes upon startup. Ubuntu falls back to "low-graphics mode" with the following error:

Failed to pin front buffer: Cannot allocate memory

Roberto Leinardi (leinardi) wrote :

Bug fixed with the latest daily build of Jaunty Jackalope: now there is no longer the blank screen and everything works correctly, including VGA output, LVDS and compiz.

I would like to thank Bryce Harrington and apologize for the delay in responding.

Best regards

Roberto "JD" Leinardi

original bug reporter confirmed his bug is gone in jaunty Jackalope. Close this one, too.

Changed in xserver-xorg-video-intel:
status: Confirmed → Fix Released

Just in order to test and for no better reason (my system with Intel i845 was working pretty well without Compiz), I decided to try the latest drivers by adding to my sources.list the following lines and upgrading:

deb http://ppa.launchpad.net/xorg-edgers/ubuntu intrepid main
deb-src http://ppa.launchpad.net/xorg-edgers/ubuntu intrepid main

Not a good idea, because when I booted up after the upgrade and arrived at the GDM screen, all I could see was a blank screen with faint Ubuntuish colours and no login text box, keyboard dead but mouse cursor visible. Keyboard not responding, I had to hard-reset the machine.

This is what I get in Xorg.0.log:

...
Backtrace:
0: /usr/X11R6/bin/X(xorg_backtrace+0x3b) [0x813164b]
1: /usr/X11R6/bin/X(mieqEnqueue+0x237) [0x8110ba7]
2: /usr/X11R6/bin/X(xf86PostMotionEventP+0xc2) [0x80d3ac2]
3: /usr/X11R6/bin/X(xf86PostMotionEvent+0x68) [0x80d3c28]
4: /usr/lib/xorg/modules/input//evdev_drv.so [0xaf7aff91]
5: /usr/X11R6/bin/X [0x80c9577]
6: /usr/X11R6/bin/X [0x80b246c]
7: [0xb8098400]
8: /usr/lib/libdrm.so.2(drmCommandWrite+0x3b) [0xb7b5be5b]
9: /usr/lib/xorg/modules/drivers//intel_drv.so(I830Sync+0xd5) [0xb7af2535]
10: /usr/lib/xorg/modules/drivers//intel_drv.so [0xb7b1ca3a]
11: /usr/lib/xorg/modules//libexa.so(exaWaitSync+0x65) [0xb7a1a195]
12: /usr/lib/xorg/modules//libexa.so(ExaDoPrepareAccess+0x7e) [0xb7a1b3be]
13: /usr/lib/xorg/modules//libexa.so [0xb7a200f2]
14: /usr/lib/xorg/modules//libexa.so [0xb7a20619]
15: /usr/lib/xorg/modules//libexa.so(exaDoMigration+0x64a) [0xb7a20dda]
16: /usr/lib/xorg/modules//libexa.so(exaCopyNtoN+0x3eb) [0xb7a1de3b]
17: /usr/lib/xorg/modules//libexa.so(exaComposite+0x856) [0xb7a23076]
18: /usr/X11R6/bin/X [0x8177ada]
19: /usr/X11R6/bin/X(CompositePicture+0x19a) [0x816056a]
20: /usr/lib/xorg/modules//libexa.so [0xb7a1e96d]
21: /usr/lib/xorg/modules//libexa.so(exaGlyphs+0x4f2) [0xb7a1f412]
22: /usr/X11R6/bin/X [0x8177da5]
23: /usr/X11R6/bin/X(CompositeGlyphs+0xa2) [0x815c9f2]
24: /usr/X11R6/bin/X [0x8169d5e]
25: /usr/X11R6/bin/X [0x8163155]
26: /usr/X11R6/bin/X(Dispatch+0x34f) [0x808c8ef]
27: /usr/X11R6/bin/X(main+0x47d) [0x8071d6d]
28: /lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe5) [0xb7c9a685]
29: /usr/X11R6/bin/X [0x8071151]
ERROR: Server Lockup! Stuck in an infinite loop. See backtrace above.
ERROR: Server Lockup! Stuck in an infinite loop. See backtrace above.
...
[etc; the last line repeated hundreds of times.]

I know this might not be the best place to ask such a silly question, but how do I revert back to the working version of the Xorg drivers...?

Never mind the silly question, I think I figured it out already (removed the edgers lines from sources.list, will SSH into the desktop system from my laptop, remove the updated packages and install them again — I guess it's as simple as that...).

markba (mark-baaijens) wrote :

Solution for me (MSI Neton AP1900 with Intel 945GM Display Adpater) was the following:
- using vesa-driver
- modified /etc/X11/xorg.log
    Section "Monitor"
            Identifier "Configured Monitor"
            HorizSync 30-100
            VertRefresh 30-100
    EndSection

I used the xorg.conf from Eric Griffis (thanks!): https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/221119/comments/17

No 3D (so no compiz), but resolution is correct now and the PC is in a usable state, but this is only a temporary solution.

My guess, the 'magical' point is this (from /var/log/Xorg.0.log):
(II) intel(0): I2C device "LVDSDDC_C:ddc2" removed.

For this, I compared a working configuration with the same display chipset (Samsung NC10 Netbook): /var/log/Xorg.0.log did not have any of those lines. Probably, the internal screen is connected to the LVDS channel, but because it is removed, hence not working, logically the screen does not have input so stays black.

I tried Jaunty Alpha 5, but the problem still exists, despite status of this bug "Fix released".

Changed in xserver-xorg-video-intel:
importance: Unknown → High
Changed in xserver-xorg-video-intel:
importance: High → Unknown
Changed in xserver-xorg-video-intel:
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.